package com.antai.sport.http.server.management.api.business.simplematch.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("日常赛列表查询条件")
public class SimpleMatchListRequestDTO {
    private Integer pageNo;
    private Integer pageSize;
    private String sortField;
    private String sortOrder;
    @ApiModelProperty("比赛名称")
    private String name;
    @ApiModelProperty("比赛开始时间查询:开始时间")
    private LocalDateTime beginDate;
    @ApiModelProperty("比赛开始时间查询:结束时间")
    private LocalDateTime endDate;
}
